Bug 1343562 - Updates should not be checked on hosts on maintenance
Summary: Updates should not be checked on hosts on maintenance
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: General
Version: 3.6.5.1
Hardware: All
OS: All
unspecified
low
Target Milestone: ovirt-4.1.0-alpha
: 4.1.0
Assignee: Ravi Nori
QA Contact: Jiri Belka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-07 13:06 UTC by Nicolas Ecarnot
Modified: 2017-02-07 04:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This update ensures that only hosts that have the status Up or NonOperational are checked for upgrades. Previously hosts with the status Maintenance were also checked, but often they were not reachable which caused errors in Events.
Clone Of:
Environment:
Last Closed: 2017-02-01 14:47:30 UTC
oVirt Team: Infra
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
mperina: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 61431 0 master MERGED core : Updates should not be checked on hosts on maintenance 2020-07-24 14:00:01 UTC

Description Nicolas Ecarnot 2016-06-07 13:06:25 UTC
Description of problem:
I put a host on maintenance for some days. Actually, I've shut it down and unplugged it temporary.
I found it strange that oVirt was trying to check updates on a host that is clearly not meant to be available.

Version-Release number of selected component (if applicable):
3.6.5

How reproducible:
Always

Steps to Reproduce:
1.Put a host in maintenance
2.Physically unplug it (including its power management cords)
3.Wait, and witness that oVirt is trying to reach it for updates checks

Actual results:
We see this error message :
"Failed to check for available updates on host xxxxxxxxx with message 'Failed to get the session.'."


Expected results:
No update check be done on host on maintenance.

Comment 1 Sandro Bonazzola 2016-12-12 13:54:37 UTC
The fix for this issue should be included in oVirt 4.1.0 beta 1 released on December 1st. If not included please move back to modified.

Comment 2 Jiri Belka 2016-12-19 11:43:10 UTC
ok, ovirt-engine-4.1.0-0.2.master.20161213231004.gitfdf720a.el7.centos.noarch


Note You need to log in before you can comment on or make changes to this bug.